Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - MCPServerVersions

Updated 
Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

MCP Server Versions

Server versions stored in the Boomi MCP registry.

get_4

Get an MCP server version by server name and version.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string

Responses

Response Schema: application/json
createdAt
required
string <date-time>
externalId
required
string
id
required
string <uuid>
published
required
boolean
sequenceId
required
integer <int64>
serverName
required
string
updatedAt
required
string <date-time>
version
required
string
visibility
required
string
Enum: "RESTRICTED" "PUBLIC"

Response samples

Content type
application/json
{
  • "serverName": "my-mcp-server",
  • "version": "1.0.0",
  • "sequenceId": 42,
  • "published": true,
  • "visibility": "PUBLIC",
  • "createdAt": "2024-01-15T10:30:00Z",
  • "updatedAt": "2024-06-01T08:00:00Z",
  • "externalId": "d00960f3-df46-4176-908e-9e2184009c7d",
  • "id": "550e8400-e29b-41d4-a716-446655440000"
}

update_3

Update published status and visibility of an MCP server version.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string
Request Body schema: application/json
required
published
required
boolean
visibility
required
string
Enum: "RESTRICTED" "PUBLIC"

Responses

Response Schema: application/json
createdAt
required
string <date-time>
externalId
required
string
id
required
string <uuid>
published
required
boolean
sequenceId
required
integer <int64>
serverName
required
string
updatedAt
required
string <date-time>
version
required
string
visibility
required
string
Enum: "RESTRICTED" "PUBLIC"

Request samples

Content type
application/json
{
  • "published": true,
  • "visibility": "PUBLIC"
}

Response samples

Content type
application/json
{
  • "serverName": "my-mcp-server",
  • "version": "1.0.0",
  • "sequenceId": 42,
  • "published": true,
  • "visibility": "PUBLIC",
  • "createdAt": "2024-01-15T10:30:00Z",
  • "updatedAt": "2024-06-01T08:00:00Z",
  • "externalId": "d00960f3-df46-4176-908e-9e2184009c7d",
  • "id": "550e8400-e29b-41d4-a716-446655440000"
}

getPublishingDetails

Return whether this MCP server version is published, together with all developer portals and a flag per portal indicating whether the MCP server version is published on it.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string

Responses

Response Schema: application/json
required
Array of objects (DevPortalPublishingDTO)
published
required
boolean

Whether this MCP server version is published to developer portals at all.

Response samples

Content type
application/json
{
  • "published": true,
  • "devPortals": [
    • {
      }
    ]
}

updatePublishingDetails

Set whether this MCP server version is published and replace the list of developer portals it is published on. Developer portals that are not part of the request are unpublished.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string
Request Body schema: application/json
required
devPortals
required
Array of strings <uuid> unique [ items <uuid > ]
published
required
boolean

Whether this MCP server version should be published to developer portals at all.

Responses

Response Schema: application/json
required
Array of objects (DevPortalPublishingDTO)
published
required
boolean

Whether this MCP server version is published to developer portals at all.

Request samples

Content type
application/json
{
  • "published": true,
  • "devPortals": [
    • "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    ]
}

Response samples

Content type
application/json
{
  • "published": true,
  • "devPortals": [
    • {
      }
    ]
}

addAllowedOrganization

Grant an organization access to this MCP server version. Only applies if visibility is RESTRICTED.

Authorizations:
bearerAuth
path Parameters
orgId
required
string <uuid>
query Parameters
serverName
required
string
version
required
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

removeAllowedOrganization

Revoke an organization's access to this MCP server version.

Authorizations:
bearerAuth
path Parameters
orgId
required
string <uuid>
query Parameters
serverName
required
string
version
required
string

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

getAll_7

Get all MCP server versions.

Authorizations:
bearerAuth
query Parameters
text
string
visibility
string
Enum: "RESTRICTED" "PUBLIC"
published
string
Enum: "UNPUBLISHED" "PUBLISHED"
assignedToDevPortal
string <uuid>

Only return MCP Server Versions that are assigned to this developer portal.

notAssignedToDevPortal
string <uuid>

Only return MCP Server Versions that are not assigned to this developer portal. MCP Server Versions that are not assigned to any developer portal at all are included.

page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (McpServerVersionDTO)

List of McpServerVersionDTO results for the current page.

last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

getVisibleIds

Return the IDs of all MCP server versions visible to the current user. Public versions are always included; restricted versions are included if the user's organization is in the allowed list. When called from a developer portal, only versions published to that developer portal are returned.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
string

Response samples

Content type
application/json
[
  • "string"
]

getAllowedOrganizations

Get a paged list of all organizations that have been granted access to this MCP server version. Only applies if visibility is RESTRICTED.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string
page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (OrganizationNameOnlyDTO)
last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "page": {
    • "totalElements": 0,
    • "totalPages": 0,
    • "size": 0,
    • "content": [
      ],
    • "number": 0,
    • "first": true,
    • "last": true,
    • "sort": {
      },
    • "numberOfElements": 0,
    • "pageable": {
      },
    • "empty": true
    },
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}

getAvailableOrganizations_1

Get a filtered and paged list of organizations that can be granted access to this MCP server version. Already-allowed organizations, publishing-only organizations and deleted organizations are excluded.

Authorizations:
bearerAuth
query Parameters
serverName
required
string
version
required
string
text
string

Free-text filter, matched against the organization's name, display name and email.

type
string
Enum: "BOTH" "CONSUMER" "PUBLISHER"

Only return organizations of this type. Publishing-only organizations are never returned by this endpoint.

page
integer
Default: 1

One-based page index (1..N)

size
integer
Default: 10

The size of the page to be returned

sort
Array of arrays

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Responses

Response Schema: application/json
required
Array of objects (OrganizationNameOnlyDTO)
last
required
boolean

Whether this is the last page.

number
required
integer <int32>

Current page number (1-based).

size
required
integer <int32>

Requested page size.

totalElements
required
integer <int64>

Total number of matching results across all pages.

totalPages
required
integer <int32>

Total number of pages.

Response samples

Content type
application/json
{
  • "page": {
    • "totalElements": 0,
    • "totalPages": 0,
    • "size": 0,
    • "content": [
      ],
    • "number": 0,
    • "first": true,
    • "last": true,
    • "sort": {
      },
    • "numberOfElements": 0,
    • "pageable": {
      },
    • "empty": true
    },
  • "content": [
    • {
      }
    ],
  • "size": 0,
  • "number": 0,
  • "last": true,
  • "totalPages": 0,
  • "totalElements": 0
}